#!/bin/sh
#
# Copyright 2001-2003 Collation Inc. All Rights Reserved
#
# This software is the proprietary information of Collation Inc.
# Use is subject to license terms.
#
# Collation Webligic Anchor Server startup script.
#

# not really constants, just OS-specific stuff
setosconstants()
{
	case "$OS" in
	SunOS)
		SOLARISNONL="\c"
		MYSHELL=/bin/ksh
		JETTYTMP=/var/tmp
		HASCHKCONFIG=no
		UNZIP=/bin/unzip
		ARCH=`uname -p`
		;;
	Linux)
		LINUXNONL="-n"
		MYSHELL=/bin/bash
		JETTYTMP=/tmp
		HASCHKCONFIG=yes
		UNZIP=/usr/bin/unzip
		ARCH=`uname -m`
		;;
	AIX)
		SOLARISNONL="\c"                  
		MYSHELL=/bin/ksh
		JETTYTMP=/tmp
		HASCHKCONFIG=no
		UNZIP=/usr/local/bin/unzip
		ARCH=`uname -p`
		;;				
	esac
}

if [ $# -lt 1 ]
then
        echo "Usage:- $0 port_num jvm_args"
        exit 1
fi

PORT=$1
shift

#
# Allow user to specify where collation is installed
#
if [ -z "$COLLATION_HOME" ]
then
    ROOT=`(cd ..;pwd)`
else
    ROOT=$COLLATION_HOME
fi

# Set some OS-dependent variables
OS=`uname`
setosconstants
JAVA_HOME=$ROOT/external/jdk-1.4.2-${OS}-${ARCH}
MYHOST=`hostname`
LOGFILE="-Dcom.collation.LogFile=$ROOT/log/local-anchor.$MYHOST.log"

#different java directories structure on AIX
if [ "$OS" = "AIX" ] 
then
    JAVA_HOME=$JAVA_HOME/jre
fi

if [ -d $JAVA_HOME ]
then
  export JAVA_HOME
else
  echo "Unable to local java in $JAVA_HOME" >> $LOGFILE
  exit 1
fi

# See if we need to run 64 bit mode
if fgrep 'com.collation.64bit=true' $ROOT/etc/collation.properties >/dev/null
then
    BITS="-d64"
else
    BITS=
fi


# Make sure the correct policy file is used
JAVA_OPTS="$BITS -ea -Dcom.collation.home=$ROOT -Djava.security.policy=$ROOT/etc/policy.all -Djava.awt.headless=true -Djava.nio.channels.spi.SelectorProvider=sun.nio.ch.PollSelectorProvider"
export JAVA_OPTS

$JAVA_HOME/bin/java -DCOLLATION $* $JAVA_OPTS $LOGFILE com.collation.discover.anchor.CollationServer -d 1 -p $PORT -la
