#!/bin/sh
#
# Copyright 2001-2004 Collation Inc. All Rights Reserved
#
# This software is the proprietary information of Collation Inc.
# Use is subject to license terms.
#
# $Id: api.sh,v 1.18 2006/02/22 13:36:00 skwapis Exp $
#
# Run an API command
#

# not really constants, just OS-specific stuff
setosconstants()
{
	case "$OS" in
	SunOS)
		SOLARISNONL="\c"
		MYSHELL=/bin/ksh
		JETTYTMP=/var/tmp
		HASCHKCONFIG=no
		UNZIP=/bin/unzip
		ARCH=`uname -p`
		;;
	Linux)
		LINUXNONL="-n"
		MYSHELL=/bin/bash
		JETTYTMP=/tmp
		HASCHKCONFIG=yes
		UNZIP=/usr/bin/unzip
		ARCH=`uname -m`
		;;
	AIX)
		SOLARISNONL="\c"                  
		MYSHELL=/bin/ksh
		JETTYTMP=/tmp
		HASCHKCONFIG=no
		UNZIP=/usr/local/bin/unzip
		ARCH=`uname -p`
		;;			
	esac
}

# Allow user to specify where collation is installed
if [ -z "$COLLATION_HOME" ]
then
	if pwd|grep 'sdk/bin$' > /dev/null
	then
		if [ $0 = "api.sh" -o $0 = "./api.sh" ]
		then
			# We're running this from the sdk/bin directory, derive the root accordingly
			ROOT=..
		else
			echo "error: COLLATION_HOME environment variable not set"
    			exit 1
		fi
	else
	    echo "error: COLLATION_HOME environment variable not set"
    	exit 1
	fi
else
    ROOT=$COLLATION_HOME/sdk
fi

#Setup JAVA_HOME
JDK_VERSION=1.5.0
OS=`uname -s`
setosconstants
JAVA_HOME=$ROOT/../external/jdk-${JDK_VERSION}-${OS}-${ARCH}
#different java directories structure on AIX
if [ "$OS" = "AIX" ]
then
	JAVA_HOME=$JAVA_HOME/jre
fi
export JAVA_HOME


# allows other logfiles to be specified.  "stdout" will go to tty
LOG=$ROOT/log/api-client.log 
while [ "$#" -ne 0 ]
do
    F="$1"

    case "$F" in
    -l)
        shift
        LOG="$1"
        shift
        ;;
    -log)
        shift
        LOG="$1"
        shift
        ;;
    *)
        break;
        ;;
    esac
done

CLASSPATH=$ROOT/lib/api-client.jar:$ROOT/lib/api-dep.jar:$ROOT/lib/platform-model.jar:$ROOT/lib/apache/commons-jxpath-1.1.jar

# Run the command
$JAVA_HOME/bin/java -Xmx1024M -ea -Dcom.collation.home=$ROOT -Dcom.collation.LogFile=$LOG -classpath $CLASSPATH com.collation.proxy.api.client.ApiCLI "$@"
