#!/bin/sh
#
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     %W%
# Version:  %I%
# Modified: %G% %U%
# Build:    %R% %L%
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# 5724-M19
# 
# (C) COPYRIGHT IBM CORP. 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
# Start the jython interpreter

# not really constants, just OS-specific stuff
setosconstants()
{
	case "$OS" in
	SunOS)
		SOLARISNONL="\c"
		MYSHELL=/bin/ksh
		JETTYTMP=/var/tmp
		HASCHKCONFIG=no
		UNZIP=/bin/unzip
		ARCH=`uname -p`
		;;
	Linux)
		LINUXNONL="-n"
		MYSHELL=/bin/bash
		JETTYTMP=/tmp
		HASCHKCONFIG=yes
		UNZIP=/usr/bin/unzip
		ARCH=`uname -m`
		;;
	AIX)
		SOLARISNONL="\c"                  
		MYSHELL=/bin/ksh
		JETTYTMP=/tmp
		HASCHKCONFIG=no
		UNZIP=/usr/local/bin/unzip
		ARCH=`uname -p`
		;;			
	esac
}

if [ -z "$COLLATION_HOME" ]
then
    COLLATION_HOME=`(cd ..;pwd)`
    ROOT=$COLLATION_HOME/sdk
else
    ROOT=$COLLATION_HOME/sdk
fi

if [ -z "$JAVA_HOME" ]
then
	# Set some OS-dependent variables
	JDK_VERSION=1.5.0
	OS=`uname -s`
	setosconstants
	JAVA_HOME=$ROOT/../external/jdk-${JDK_VERSION}-${OS}-${ARCH}
	#different java directories structure on AIX
    if [ "$OS" = "AIX" ] 
    then
        JAVA_HOME=$JAVA_HOME/jre
    fi			
	export JAVA_HOME
fi

JYTHON_HOME=$ROOT/../external/jython-2.1

CLASSPATH=$ROOT/lib/api-client.jar:$ROOT/lib/api-dep.jar:$CLASSPATH:$ROOT/lib/platform-model.jar
export CLASSPATH
$JAVA_HOME/bin/java -Dcom.collation.home=$COLLATION_HOME -Dpython.home="$JYTHON_HOME" -classpath "$JYTHON_HOME/jython.jar:$CLASSPATH" "org.python.util.jython" "$@"
